set cartoon_fancy_helices,1
cmd.bg_color('white')
load aaa.pdb
select doc, resn DOC
select hydro, elem H
select water, resn HOH
select ligand,  hetatm and not doc and not water and not hydro
select bindingsite, ligand around 8 and  not name C+O+CA+N and not doc and not ligand and not hydro and not water
select bindingspace, ligand around 8 and  not doc and not ligand and not water
select proteincore,  not doc and not ligand and not bindingsite and not hydro and not water
select proteinsurface,  not doc and not ligand and not bindingspace and not water
cmd.disable('proteincore')
cmd.hide("everything","doc")
cmd.hide("everything","water")
cmd.hide("everything","hydro")
cmd.hide("everything","all")
cmd.show("cartoon"   ,"proteincore")
cmd.set('cartoon_transparency',0.4)
cmd.show("sticks"    ,"ligand")
cmd.show("spheres"   ,"ligand")
cmd.show("sticks"    ,"bindingsite")
cmd.spectrum("count",selection="proteincore",byres=1)
util.cbaw("bindingsite")
util.cbag("ligand")
set sphere_scale=0.30
set stick_radius=0.20
center ligand
zoom bindingsite
cmd.disable('proteinsurface')
