#!/bin/csh

# filename_exercise.csh
# This example script copies files to the local directory.
# Purely for teaching purposes, it also translates the underscores into spaces.
# This makes the files more difficult to work with.
# Objective: re-write this script to change the spaces back to underscores.
# (That's what you more often need to do.)

echo "Copying some good papers about Computational Structural Biology to the local directory ..."
tar -xzf lit.examples.tgz

foreach file ( literature/* )
	set newname = `basename $file | tr '_' ' ' `
	cp $file "$newname"
end

echo "Here are the files copied:"
ls *pdf

