#### Chimera command script with example publication-quality representation ####

# make the background and depth-cue (fog) white
set bg_color white
set dc_color white

# replace lines representation with colored thick ribbons
~display
ribbon
ribrep edged
rainbow residue
#rainbow chain

# highlight any ligand and ions
disp ligand
represent stick
color purple ligand
display ions
color orange ions

# create a "selection" object for the residues within 5 Angstroms of the ligand
alias nearligand ligand zr<5 & ~ ligand & ~ :HOH
display nearligand

# adjust coloring to show some chemical information
color byelement nearligand
color byhetero ligand
scale 1.6

